# Uses of Class
org.codehaus.janino.Token

Packages that use Token
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Token in org.codehaus.janino

Methods in org.codehaus.janino that return Token
Modifier and Type
Method
Description
`Token`
Parser.`peek()`
`Token`
TokenStream.`peek()`
`Token`
TokenStreamImpl.`peek()`
`Token`
Parser.`peekNextButOne()`
`Token`
TokenStream.`peekNextButOne()`
`Token`
TokenStreamImpl.`peekNextButOne()`
`Token`
Scanner.`produce()`
Produces and returns the next token.
`Token`
Parser.`read()`
`Token`
TokenStream.`read()`
`Token`
TokenStreamImpl.`read()`